Bug 847280 - Docs are missing instructions on how to configure EAP 6 instances in a domain to allow the JON agent to connect to them
Docs are missing instructions on how to configure EAP 6 instances in a domain...
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity high
: ---
: JON 3.1.2
Assigned To: Deon Ballard
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-08-10 08:13 EDT by Tom Fonteyne
Modified: 2014-10-23 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
JON 3.1 with JBoss EAP 6 plugin
Last Closed: 2013-02-28 19:34:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Fonteyne 2012-08-10 08:13:27 EDT
Description of problem:


is missing instructions on how to configure instances in a domain to allow the JON agent to connect to them

Version-Release number of selected component (if applicable):


The below should be added to that chapter:

Instances in a JBoss EAP 6 domain do not have the http interface enabled by default

With "instanceName" the actual name of the instance, execute these CLI commands

# create a local interface for JON

# add the http interface, change "ManagementRealm" if not using the default
Comment 1 Larry O'Leary 2012-08-14 10:53:58 EDT
This doesn't seem to be an accurate BZ. By default, EAP 6, even in domain mode, is already configured for use with JON. Additionally, there is no special configuration for EAP to make JON work. JON is simply using the HTTP management interface which is exposed by default. 

I suggest for documentation purposes that we simply mention that the JBoss AS 7 plug-in uses the HTTP management interface for managing and monitoring JBoss AS 7 and if the HTTP management interface has been removed or disabled, the plug-in will not be able to connect and therefore no management or monitoring capability will be supported. An example of configuring the management interface could be included but it should be the default interface as originally configured with EAP and be unrelated to JON itself.
Comment 3 Deon Ballard 2012-09-25 14:48:24 EDT
Bumping to 3.1.2.
Comment 4 Deon Ballard 2013-02-28 19:34:00 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.